#include<bits/stdc++.h>

using namespace std;
int N;
long long x[1083],y[1035],z[1035],res,t;
int main(){
    cin>>N;
    res=0;
    for(int i=1;i<=N;i++){
        cin>>x[i];
    }
    for(int i=1;i<=N;i++){
        cin>>y[i];
    }
    for(int i=1;i<=N;i++){
        cin>>z[i];
    }
    for(int i=1;i<=N;i++){
            for(int j=1;j<=N;j++){
        if(x[i]==y[z[j]]){
            res++;
            }
        }
    }
    cout<<res<<endl;
return 0;
}